## linux-firmware 1.162

=== debian/changelog ===
linux-firmware (1.162) zesty; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    87941021a622c882b1921df85d6115940a4e568a
    - Update Intel OPA hfi1 firmware file
    - brcm: add firmware for BCM43430 802.11n chipset
    - amdgpu: update tonga and fiji VCE firmware to 52.8.3
    - Add a metadata consistency check script
    - WHENCE: Correct filename of LICENCE.moxa
    - Add copy of GPL v2 and references to the GPL-2 and GPL-3 files
    - WHENCE: Specify source directories for cis, isci, and usbdux firmware
    - WHENCE: Remove references to source for emi62 firmware
    - WHENCE: Remove references to two nvidia firmware files that were never added
    - Remove unused 'LICENCE.mwl8335'
    - WHENCE: Adjust some licence file references to satisfy check_whence.py
    - WHENCE: Fix metadata for snd-soc-skl firmware
    - WHENCE: List new radeon CI and SI smc firmware
    - WHENCE: List symlink 'qat_mmp.bin'
    - WHENCE: Add reference to 'qca/NOTICE.txt'
    - README: Say that files must be listed in WHENCE, and how to check it
    - radeon: update SMC firmware for SI parts
    - radeon: update SMC firmware for CI parts
    - amdgpu: update SMC firmware for VI parts
    - mediatek: update MT8173 VPU firmware for idle state
    - amdgpu: add new smc firmware for newer tonga and iceland chips
    - linux-firmware: rockchip: update dptx firmware to v3.1
    - rockchip/dptx: update WHENCE to version 3.1
    - linux-firmware: update BYT audio firmware
    - rtlwifi: Add updates for RTL8723BE and RTL8821AE
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (C0)
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (D1)
    - linux-firmware: Update firmware patch for Intel Bluetooth 7260 (B5/B6)
    - linux-firmware: Update firmware file for Intel Bluetooth 8260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265

  * Trigger update-initramfs following linux-firmware install (LP: #1646197)
    - UBUNTU: Add postinst script to update initrds

  * Don't install build scripts, and move GPL license files to the license
    install directory.
    - UBUNTU: Build and license file installation changes

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 30 Nov 2016 14:50:27 -0600

## linux-firmware 1.164

=== debian/changelog ===
linux-firmware (1.164) zesty; urgency=medium

  * Upstream firmware updates for zesty (LP: #1674413)
    - Revert "UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode"
    - linux-firmware: liquidio: update firmware to v1.4.2
    - iwlwifi: update -17 firmware for 3260, 7260 and 7265
    - iwlwifi: update -22 firmware for 7265D and up
    - linux-firmware/i915: GuC firmware for Broxton v8.7
    - linux-firmware/i915: GuC firmware for Kabylake v9.14
    - radeon/amdgpu: update license copyright dates
    - radeon: add new firmware for SI chips
    - qla2xxx: Update firmware version to 8.06.00
    - amdgpu: add firmware for polaris12 asics
    - update WHENCE for new amdgpu/polaris12_*.bin firmware
    - linux-firmware: update Marvell SD8897-B0 firmware image
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - amdgpu: add smc firmware for new polaris variants
    - linux-firmware/i915: Fix Corrupted GuC files.
    - cxgb4: update firmware to revision 1.16.33.0
    - linux-firmware: Update firmware patch for Intel Bluetooth, 7265
    - linux-firmware: Update firmware patch for Intel Bluetooth,8260
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - brcm: update firmware for BCM43340/1 SDIO devices
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * Update linux-firmware udebs in zesty (LP: #1674344)
    - UBUNTU: Update nic-firmware.lst based on kernel udebs

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 20 Mar 2017 13:34:02 -0500

linux-firmware (1.163) zesty; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    6d3bc8886517d171068fd1263176b8b5c51df204
    - WHENCE: Add new amdgpu firmware
    - WHENCE: Add new snd_intel_sst_core
    - LICENCE.siano: Add copyright years
    - linux-firmware: update firmware file for atusb
    - Update Intel OPA hfi1 firmware
    - cxgb4: Update firmware to revision 1.16.26.0.
    - linux-firmware: intel: Update Skylake audio firmware
    - linux-firmware: intel: Update Broxton audio firmware
    - linux-firmware: Fix DDC file format for Intel Bluetooth 8260/8265
    - brcm: add firmware for the BCM4356 SDIO device
    - brcm: add firmware for the BCM4358 PCIe device.
    - wl127x/wl128x: update firmwares
    - atusb: Document that dfu-util needs to be run before device enters runtime mode
    - Fix permissions on ti-connectivity firmware from 05e9fe59

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 13 Feb 2017 08:37:23 -0600

## linux-firmware 1.164.1

=== debian/changelog ===
linux-firmware (1.164.1) zesty; urgency=medium

  * intel 8260 doesn't work with linux kernel 4.8+ when using ucode version 22
    (LP: #1647826)
    - UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 21 Apr 2017 11:36:23 -0500

## linux-firmware 1.164.2

=== debian/changelog ===
linux-firmware (1.164.2) zesty; urgency=medium

  * Add audio topology firmware for Joule (LP: #1689497)
    - UBUNTU: SAUCE: linux-firmware: audio topology binary for Joule

  * CVE-2017-13080 and CVE-2017-13081 (LP: #1728762)
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 16 Nov 2017 10:24:39 -0600

## linux-firmware 1.164.3

=== debian/changelog ===
linux-firmware (1.164.3) zesty; urgency=medium

  * Intel 9260/9462/9560 firmware support (LP: #1734243)
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 12 Dec 2017 08:36:09 -0600

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-firmware
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2008 Ben Collins <bcollins@ubuntu.com>
#
#

export LC_ALL=C
export SHELL=/bin/bash -e

#
# A list of the directories created by makefiles under fw_source.
#
GENERATED_DIRS=ea

binary-arch:

build-arch:
	$(MAKE) -C fw_source update

build-indep:

firm_dir = $(CURDIR)/debian/linux-firmware/lib/firmware
doc_dir = $(CURDIR)/debian/linux-firmware/usr/share/doc/linux-firmware
license_dir = $(doc_dir)/licenses
nic_firm_dir = $(CURDIR)/debian/nic-firmware/lib/firmware
scsi_firm_dir = $(CURDIR)/debian/scsi-firmware/lib/firmware

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k -i

	install -d $(firm_dir)

	rsync -a --exclude=WHENCE --exclude=.git --exclude=debian --exclude=fw_source \
		--exclude=/Makefile --exclude=check_whence.py --exclude=GPL-[23] \
	       	* $(firm_dir)
	find $(firm_dir) -type f -name "LICEN[CS]E*" |xargs rm

	for f in $$(cat debian/nic-firmware.lst); do \
		install -m644 -D $$f $(nic_firm_dir)/$$f; \
	done

	for f in $$(cat debian/scsi-firmware.lst); do \
		install -m644 -D $$f $(scsi_firm_dir)/$$f; \
	done

	install -d $(doc_dir)
	cp WHENCE $(doc_dir)/README

	install -d $(license_dir)
	cp LICEN[CS]E* GPL-[23] $(license_dir)

binary-indep: install-indep
	dh_testdir
	dh_testroot

	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
build: build-arch build-indep

clean:
	rm -rf $(GENERATED_DIRS)
	dh_testdir
	dh_testroot
	dh_clean

## linux-firmware 1.169

=== debian/changelog ===
linux-firmware (1.169) artful; urgency=medium

  * [Feature] PXE boot with Intel Omni-Path (LP: #1712031)
    - Add Intel Omni-Path firmware to nic-firmware.lst

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 04 Oct 2017 09:23:35 -0500

linux-firmware (1.168) artful; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    a61ac5cf8374edbfe692d12f805a1b194f7fead2
    - Update Intel OPA hfi1 firmware
    - iwlwifi: update -27 firmware for 3168, 7265D, 8000C and 8265
    - iwlwifi: add new firmware for 3168, 7265D, 8000C and 8265
    - linux-firmware: intel: Add Kabylake IPU3 firmware
    - linux-firmware: intel: Update Kabylake audio firmware
    - linux-firmware: intel: remove old skylake firmware
    - linux-firmware: intel: remove old broxton firmware
    - linux-firmware: liquidio: update firmware to v1.6.1
    - amdgpu: add initial vega10 firmware
    - amdgpu: add initial uvd and vce firmware for vega10
    - cavium: Add firmware for CNN55XX crypto driver.
    - Update Intel OPA hfi1 firmware
    - amdgpu: update psp and acg_smu firmware for vega10
    - rtlwifi: rtl8822be: Add firmware for new driver/device
    - qcom: add firmware files for Adreno A3xx

  * [Packaging] Update to debhelper 9

  * Update nic-firmware.lst for 4.13

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 11 Sep 2017 09:52:28 -0500

linux-firmware (1.167) artful; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    7d2c913dcd1be083350d97a8cb1eba24cfacbc8a
    - linux-firmware: liquidio: update firmware to v1.6.0
    - qcom: add venus firmware files for v1.8
    - linux-firmware: intel: Update Kabylake audio firmware
    - qla2xxx: Update firmware version to 8.07.00
    - firmware: tegra: Add VIC firmware
    - imx: Add SDMA firmware for Freescale i.MX6/7 SoCs.
    - linux-firmware: wilc1000: Add unified firmware for wilc1000 WLAN
    - ath10k: QCA4019 hw1.0: update board-2.bin
    - ath10k: QCA4019 hw1.0: update firmware to 10.4-3.4-00082
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: add WLAN.RM.4.4-00022-QCARMSWPZ-2
    - ath10k: QCA9377 hw1.0: update board-2.bin
    - ath10k: QCA9887 hw1.0: update firmware to 10.2.4-1.0-00029
    - ath10k: QCA9888 hw2.0: update board-2.bin
    - ath10k: QCA9888 hw2.0: update firmware to 10.4-3.5.1-00014
    - ath10k: QCA988X hw2.0: update firmware to 10.2.4.70.63-2
    - ath10k: QCA9984 hw1.0: update board-2.bin
    - ath10k: QCA9984 hw1.0: update firmware to 10.4-3.4-00082
    - ath10k: update year in license

  * Revert Intel OPA firmware to 0.47 (LP: #1700772)
    - SAUCE: Revert "Update Intel OPA hfi1 firmware"

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 27 Jun 2017 09:58:15 -0500

linux-firmware (1.166) artful; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    37857004a430e96dc837db7f967b6d0279053de8
    - cxgb4: update firmware to revision 1.16.43.0
    - linux-firmware: add Marvell USB8997 firmware image
    - iwlwifi: update -22 firmware for 3168
    - qed: Add firmware 8.20.0.0
    - Update Intel OPA hfi1 firmware
    - linux-firmware: add wil6210 firmware 4.1.0.55
    - cxgb4: update firmware to revision 1.16.45.0.
    - Mellanox: Add firmware for mlxsw_spectrum
    - linux-firmware: add firmware image for Redpine 9113 chipset

  * Update nic-firmware udeb for 4.11
    - UBUNTU: Update nic-firmware.lst based on linux 4.11.0-5.10 udebs

  * Add audio topology firmware for Joule (LP: #1689497)
    - UBUNTU: SAUCE: linux-firmware: audio topology binary for Joule

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 08 Jun 2017 11:36:34 -0500

linux-firmware (1.165) artful; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    ade8332383e228cbdcfc605b5e5ef3aa51211401
    - linux-firmware: liquidio: update firmware to v1.4.2
    - iwlwifi: update -17 firmware for 3260, 7260 and 7265
    - iwlwifi: update -22 firmware for 7265D and up
    - iwlwifi: add -27 firmware for 3168, 7265D, 8000C and 8265
    - linux-firmware/i915: Add HuC 1.07.1398 for SKL
    - linux-firmware/i915: Add HuC 1.07.1398 for broxton
    - linux-firmware/i915: HuC on 2.0.1810 for Kabylake
    - linux-firmware/i915: GuC firmware for Broxton v8.7
    - linux-firmware/i915: GuC firmware for Kabylake v9.14
    - radeon/amdgpu: update license copyright dates
    - radeon: add new firmware for SI chips
    - rtlwifi: rtl8723bs: Add firmware for new driver
    - qla2xxx: Update firmware version to 8.06.00
    - amdgpu: add firmware for polaris12 asics
    - amdgpu: update VI gfx/sdma firmware
    - amdgpu: update VI smc/mc firmware
    - update WHENCE for new amdgpu/polaris12_*.bin firmware
    - linux-firmware: add firmware for mt76x2
    - linux-firmware: update Marvell SD8897-B0 firmware image
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - amdgpu: add smc firmware for new polaris variants
    - Revert "amdgpu: update VI smc/mc firmware"
    - Revert "amdgpu: update VI gfx/sdma firmware"
    - linux-firmware/i915: Fix Corrupted GuC files.
    - cxgb4: update firmware to revision 1.16.33.0
    - nvidia: add GM20B PMU firmware
    - nvidia: add GP102/GP104/GP106/GP107 signed firmware
    - linux-firmware: intel: Add Geminilake audio firmware
    - linux-firmware: Update firmware patch for Intel Bluetooth, 7265
    - linux-firmware: Update firmware patch for Intel Bluetooth,8260
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - brcm: update firmware for BCM43340/1 SDIO devices
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - qed: Add firmware 8.15.3.0
    - linux-firmware: update Marvell PCIe-USB8997 wifi-only firmware image
    - linux-firmware: intel: Update Broxton audio firmware
    - nfp: Add firmware 0.6.1


=== debian/control ===
Source: linux-firmware
Section: misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), rsync
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-firmware

Package: linux-firmware
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Provides: atmel-firmware
Conflicts: atmel-firmware
Replaces: atmel-firmware, linux-restricted-common
Description: Firmware for Linux kernel drivers
 This package provides firmware used by Linux kernel drivers.

Package: nic-firmware
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Description: Firmware for NICs
 This package contains firmware needed by some network controllers.

Package: scsi-firmware
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Description: Firmware for SCSI controllers
 This package contains firmware needed by some scsi controllers.

## linux-firmware 1.169.3

=== debian/changelog ===
linux-firmware (1.169.3) artful; urgency=medium

  * QCA6174 stops working on newer kernels after second group rekeying
    (LP: #1743279)
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00051-QCARMSWP-1

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 25 Jan 2018 14:23:42 -0600

linux-firmware (1.169.2) artful; urgency=medium

  * Intel 9260/9462/9560 firmware support (LP: #1734243)
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260

  * Bluetooth mouse and keyboard connects, works for a few seconds, then
    doesn't react (LP: #1729389)
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 12 Dec 2017 08:16:01 -0600

linux-firmware (1.169.1) artful; urgency=medium

  * CVE-2017-13080 and CVE-2017-13081 (LP: #1728762)
    - iwlwifi: update firmwares for 3160, 3168, 7265D, 8000C and 8265
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D

  * a300_[pfp|pm4].fw clashes when installing linux-firmware (LP: #1728908)
    - Add linux-firmware-snapdragon to Breaks: and Replaces:

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 15 Nov 2017 15:47:00 -0600

## linux-firmware 1.169.4

=== debian/changelog ===
linux-firmware (1.169.4) artful; urgency=medium

  * Missing install-time driver for QLogic QED 25/40/100Gb Ethernet NIC
    (LP: #1743638)
    - UBUNTU: Add QLogic QED firmware to nic-firmware.lst

  * add i915/glk_dmc_ver1_04.bin (LP: #1752507)
    - linux-firmware/i915: Add Geminilake DMC version 1.04

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 24 Apr 2018 11:32:30 -0500

## linux-firmware 1.170

=== debian/changelog ===
linux-firmware (1.170) bionic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    bf04291309d3169c0ad3b8db52564235bbd08e30
    - cxgb4: update firmware to revision 1.16.63.0
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00051-QCARMSWP-1
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - Revert "ath10k: QCA988X hw2.0: update firmware to 10.2.4.70.63-2"
    - WHENCE: Fix syntax error for iwlwifi-8265-31.ucode entry
    - WHENCE: Add new radeon firmware
    - WHENCE: Add new qed firmware

  * CVE-2017-13080 and CVE-2017-13081 (LP: #1728762)
    - iwlwifi: update firmwares for 3160, 3168, 7265D, 8000C and 8265
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D

  * a300_[pfp|pm4].fw clashes when installing linux-firmware (LP: #1728908)
    - Add linux-firmware-snapdragon to Breaks: and Replaces:

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 15 Nov 2017 15:04:50 -0600

## linux-firmware 1.173

=== debian/changelog ===
linux-firmware (1.173) bionic; urgency=medium

  * missing bnx2 firmware (LP: #1756367)
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - Revert "UBUNTU: Remove obsolete bnx2 firmware"
    - UBUNTU: Add additional files to nic-firmware.lst

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 16 Mar 2018 14:19:07 -0500

linux-firmware (1.172) bionic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    7344ec9e1df9e27d105ed48d2db99e22370236de
    - nfp: update Agilio SmartNIC firmware to rev 2.0.4
    - qed: Add firmwares 8.30.12.0 and 8.10.9.0
    - rtl_bt: Add firmware and configuration files for the Bluetooth parts of RTL8821C and RTL8723D
    - ath10k: QCA4019 hw1.0: update firmware-5.bin to 10.4-3.5.3-00053
    - ath10k: QCA4019 hw1.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00079-QCARMSWPZ-1
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA9377 hw1.0: update firmware-5.bin to WLAN.TF.1.0-00002-QCATFSWPZ-5
    - ath10k: QCA9887 hw1.0: update firmware-5.bin to 10.2.4-1.0-00037
    - ath10k: QCA9888 hw2.0: update firmware-5.bin to 10.4-3.5.3-00053
    - ath10k: QCA988X hw2.0: update firmware-5.bin to 10.2.4-1.0-00037
    - ath10k: QCA9984 hw1.0: update firmware-5.bin to 10.4-3.5.3-00053

  * Missing firmware in linux-image-4.15.0-10-generic (LP: #1751266)
    - Restore firmware files previously duplicated in the kernel package
    - Add restored firmware files to nic-firmware.lst and scsi-firmware.lst

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 01 Mar 2018 15:30:32 -0600

linux-firmware (1.171) bionic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    2aa2ac2e9c09f09b0cfb6fc320c1e2d281530fa0
    - linux-firmware: update Marvell PCIe-USB8897-A2 firmware image
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - linux-firmware/i915: Add Geminilake DMC version 1.04
    - linux-firmware/i915: Add Cannonlake DMC version 1.06
    - linux-firmware: GuC firmware for Skylake v9.33
    - linux-firmware: GuC firmware for Broxton v9.29
    - linux-firmware: GuC firmware for kabylake v9.39
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - linux-firmware: DMC firmware for kabylake v1.04
    - iwlwifi: update firmwares for 3160, 3168, 7265D, 8000C and 8265
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D
    - iwlwifi: add new firmware version 34 for 8000C and 8265
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: intel: Update Geminilake audio firmware
    - linux-firmware: liquidio: update firmware to v1.7.0
    - iwlwifi: add firmware version 34 for new 9000 series
    - qcom: add firmware files for Adreno a530
    - qcom: add venus firmware files for v4.2
    - qed: Add firmware 8.33.1.0
    - amdgpu: add new CP firmware for polaris chips
    - s2255drv: f2255usb: firmware version 1.2.8
    - WHENCE: Fix typo in entry for iwlwifi-8265-34.ucode
    - WHENCE: Add missing entry for mlxsw_spectrum firmware
    - Mellanox: Add new mlxsw_spectrum firmware 13.1530.152
    - brcm: update firmware for bcm4339
    - brcm: introduce firmware for bcm43430 revision 0
    - brcm: update firmware for bcm4354
    - brcm: update firmware for bcm4356
    - brcm: update firmware for bcm4358
    - linux-firmware: DMC firmware for skylake v1.27
    - amdgpu: update vega10 vce firmware
    - amdgpu: add firmware for Raven
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - nfp: update firmware for Agilio CX SmartNICs
    - nfp: change firmware directory layout
    - nfp: add firmware for tc-flower
    - Revert commits a42f895, c113d33, 041aff8, 73d13b5
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - brcm: add CYW4373 firmwares and Cypress license file
    - linux-firmware: liquidio: add v1.7.0 vswitch firmware
    - nvidia: add GP108 signed firmware
    - linux-firmware: DMC firmware for cannonlake v1.07
    - rtlwifi: rtl8723de: Add firmware for new driver/device
    - wl127x/wl128x: update firmwares
    - wl18xx: update firmware file 8.9.0.0.76
    - linux-firmware: intel: Update Geminilake audio firmware
    - linux-firmware: update Marvell PCIe-USB8897/8997 firmware image to add WPA2 vulnerability fix
    - cxgb4: update firmware to revision 1.17.14.0
    - mediatek: update MT8173 VPU firmware to 1.0.8 [decoder h264] Fix h264 decoder output delay for some low latency bitstreams
    - amdgpu: update vce and uvd firmware for Vega10
    - amdgpu: update vcn firmware for raven
    - amdgpu: update vce firmware for Fiji
    - amdgpu: update uvd firmware for polaris asics
    - linux-firmware: intel: Update Kabylake audio firmware
    - wl127x/wl128x: update PLT firmwares
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - linux-firmware: Add firmware file for Intel Bluetooth,9260
    - linux-firmware: Add firmware file for Intel Bluetooth,9560

  * UBUNTU: Update nic-firmware.lst for 4.14

  * UBUNTU: Update nic-firmware.lst for 4.15

  [ dann frazier ]
  * nic-firmware: Add QLogic QED firmware (LP: #1743638)

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 09 Feb 2018 15:32:29 -0600

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
 Depends: ${misc:Depends}
 Provides: atmel-firmware
 Conflicts: atmel-firmware
-Replaces: atmel-firmware, linux-restricted-common
+Replaces: atmel-firmware, linux-restricted-common, linux-firmware-snapdragon (<= 1.2-0ubuntu1)
+Breaks: linux-firmware-snapdragon (<= 1.2-0ubuntu1)
 Description: Firmware for Linux kernel drivers
  This package provides firmware used by Linux kernel drivers.

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 install-indep: build-indep
 	dh_testdir
 	dh_testroot
-	dh_clean -k -i
+	dh_prep -i
 
 	install -d $(firm_dir)

## linux-firmware 1.173.18

=== debian/changelog ===
linux-firmware (1.173.18) bionic-security; urgency=medium

  * CVE-2018-5383
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (D0)
    - linux-firmware:Update firmware patch for Intel Bluetooth 7265 (D1)
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 7260 (B3/B4)
    - linux-firmware:Update firmware patch for Intel Bluetooth 7265 (D1)

 -- Juerg Haefliger <juergh@canonical.com>  Thu, 16 Apr 2020 07:41:28 +0200

linux-firmware (1.173.17) bionic; urgency=medium

  * [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to
    reset the VCPU!!! (LP: #1865130)
    - Revert "radeon: update oland rlc microcode from amdgpu"

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 19 Mar 2020 12:26:56 -0500

linux-firmware (1.173.16) bionic; urgency=medium

  * Failed to suspend once ever paired with BLE devices: PM: Device
    0000:00:14.0 failed to suspend async: error -16 (LP: #1862734)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 27 Feb 2020 13:24:55 -0600

linux-firmware (1.173.15) bionic; urgency=medium

  * System will auto resume from sleep on receiving LE ADV after paired with
    BT LE devices (Intel 9560 HrP) (LP: #1857673)
    - linux-firmware: Update firmware file for Intel Bluetooth 9560

  * Fix throttled clock on AMD Oland (LP: #1858751)
    - radeon: update oland rlc microcode from amdgpu

  * Support ath10k hardware rfkill (LP: #1858166)
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * Intel Bluetooth AX201 HarrisonPeak (HrP) [8086:06f0] subsystem
    [8086:4070] firmware causes system hang in deep suspend (LP: #1858776)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * intel/sof: update the intel sof firmware to v1.3-0f73628 for cml and cnl
    (LP: #1859387)
    - SAUCE: Update cml and cnl sof firmware files to v1.3-0f73628

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 29 Jan 2020 13:38:49 -0600

linux-firmware (1.173.14) bionic; urgency=medium

  * Fix latency issue on Realtek Bluetooth (LP: #1856077)
    - rtl_bt: Update RTL8723D BT FW to 0x828A_96F1

  * Intel Wireless-AC 9560 Bluetooth, whenever connected to BLE devices,
    causes UI freeze when re-logging in after resumed from suspend
    (LP: #1855235)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 12 Dec 2019 07:48:58 -0600

linux-firmware (1.173.13) bionic; urgency=medium

  * Update linux-firmware in bionic for 5.3 hwe kernel (LP: #1852512)
    - linux-firmware: mediatek: add firmware for mt7668u Bluetooth
    - firmware/huc/bxt: Add huC Update for BXT
    - bnx2x: Add FW 7.13.11.0.
    - linux-firmware: add firmware for MT7615E
    - drm/i915/firmware: Add BXT GuC v32.0.3
    - drm/i915/firmware: Add SKL GuC v32.0.3
    - drm/i915/firmware: Add KBL GuC v32.0.3
    - drm/i915/firmware: Add GLK GuC v32.0.3
    - drm/i915/firmware: Add GLK HuC v03.01.2893
    - drm/i915/firmware: Add ICL GuC v32.0.3
    - drm/i915/firmware: Add ICL HuC v8.4.3238
    - Mellanox: Add new mlxsw_spectrum firmware 13.2000.1122
    - nvidia: update GP10[2467] SEC2 RTOS with the one already used on GP108
    - UBUNTU: SAUCE: iwlwifi: Add iwlwifi firmware files for 5.3 hwe kernel
    - UBUNTU: [Packaging] Update nic-firmware.lst for 5.3 hwe kernel

  * Intel 7260 bluetooth firmware doesn't have working hsp/hfp profile
    (LP: #1852785)
    - linux-firmware: Update firmware patch for Intel Bluetooth 7260 (B5/B6)

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 26 Nov 2019 14:50:55 -0600

linux-firmware (1.173.12) bionic; urgency=medium

  * Firmware for Radeon RX5700 (navi10) missing / boot failure
    (LP: #1848848)
    - amdgpu: add initial navi10 firmware

  * update-initramfs complains of missing amdgpu firmware files
    (LP: #1850654)
    - amdgpu: add new raven rlc firmware

  * Add RTL8822cu bluetooth support (LP: #1849598)
    - rtl_bt: Add firmware and configuration files for the Bluetooth part of RTL8822CU
    - rtl_bt: Update firmware for BT part of RTL8822C
    - rtl_bt: Update RTL8822C BT FW to V0x098A_94A4
    - rtl_bt: Update configuration file for BT part of RTL8822CU

  * System will auto resume from sleep on receiving LE ADV after paired
    with BT LE devices(LP: #1849779)
    - linux-firmware: Update firmware file for Intel Bluetooth 9260

  * Intel Bluetooth AX201 HarrisonPeak (HrP) firmware causes system hang
    in deep suspend (LP: #1850738)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Revert the firmware update for sound/sof (LP: #1850739)
    - Revert "UBUNTU: SAUCE: update firmware for sound sof driver to fix hang issues"

  * Add support for Realtek 8723DE wireless adapter (LP: #1780590)
    - rtw88: RTL8723D: add firmware file v48

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 05 Nov 2019 16:14:05 -0600

linux-firmware (1.173.11) bionic; urgency=medium

  * Intel Bluetooth AX201, aka HarrisonPeak (HrP), not supported
    (LP: #1842893)
    - linux-firmware: Add firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * update firmware for sound sof driver to fix the hang issue on several
    Dell machines (LP: #1847250)
    - SAUCE: update firmware for sound sof driver to fix hang issues

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 08 Oct 2019 14:36:00 -0500

linux-firmware (1.173.10) bionic; urgency=medium

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201

  * Bluetooth fails with "Bluetooth: hci0: request failed to create LE
    connection: status 0x0c" message with Kernel 4.20 and up [9df0:0034]
    (LP: #1836467)


## linux-firmware 1.173.20

=== debian/changelog ===
linux-firmware (1.173.20) bionic; urgency=medium

  * Possible missing firmware /lib/firmware/rtl_nic/rtl8125a-3.fw for module
    r8169 (LP: #1890641)
    - rtl_nic: add firmware files for RTL8153
    - rtl_nic: update firmware for RTL8153A

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 02 Mar 2021 14:28:08 -0600

linux-firmware (1.173.19) bionic; urgency=medium

  * Missing sof-cfl.ri symbol link for Bionic and Eoan (LP: #1875263)
    - SAUCE: linux-firmware: symbol link sof-cfl.ri and sof-cfl.ldc

  * Missing amdgpu navi14 firmware (LP: #1881525)
    - amdgpu: add initial navi14 firmware form 19.30
    - amdgpu: update navi14 firmware for 19.30
    - amdgpu: add new navi14 wks gfx firmware for 19.30
    - amdgpu: update navi14 vcn firmware
    - amdgpu: update navi14 microcode for 19.50

  * Add missing sof-hda-generic-2ch/4ch.tplg symlinks (LP: #1880623)
    - SAUCE: generate 2 symbollinks for sof-hda-generic.tplg

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 17 Jun 2020 08:01:09 -0500

## linux-firmware 1.173.21

=== Makefile ===
# This file implements the GNOME Build API:
# http://people.gnome.org/~walters/docs/build-api.txt

FIRMWAREDIR = /lib/firmware

all:

check:
	@./check_whence.py

install:
	mkdir -p $(DESTDIR)$(FIRMWAREDIR)
	cp -r * $(DESTDIR)$(FIRMWAREDIR)
	rm -rf $(DESTDIR)$(FIRMWAREDIR)/usbdux
	find $(DESTDIR)$(FIRMWAREDIR) \( -name 'WHENCE' -or -name 'LICENSE.*' -or \
		-name 'LICENCE.*' \) -exec rm -- {} \;

=== debian/changelog ===
linux-firmware (1.173.21) bionic; urgency=medium

  * Fix sanity checker and cleanup metadata (LP: #1953587)
    - Makefile: improve `make check` usefulness
    - check_whence: python3/utf-8 support
    - SAUCE: check_whence.py: Add python3 shebang
    - SAUCE: check_whence.py: Also process WHENCE.ubuntu
    - SAUCE: check_whence.py: Ignore debian/ and fw_source/ directories
    - SAUCE: check_whence.py: Ignore ea/ directory
    - Fix File: entries in WHENCE.ubuntu
    - SAUCE: Remove non-existing files from WHENCE
    - Remove non-existing files from WHENCE.ubuntu
    - SAUCE: Add missing files entries to WHENCE
    - Add missing entries to WHENCE.ubuntu
    - Remove unnecessary file LICENCE.tda7706-firmware.txt
  * Miscellaneous Ubuntu changes
    - [Packaging] Move scripts to debian/scripts
    - [Packaging] Add check rule and call it in clean stage
    - [Packaging] Add packaging helper scripts
  * Missing firmware /lib/firmware/intel/ice/ddp/ice.pkg for ice driver (LP: #1960839)
    - ice: Add package file for Intel E800 series driver

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 18 Feb 2022 15:59:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -76,3 +76,12 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
+
+	# Ensure sanity checks are run when building packages from the
+	# git repo
+	if [ -d .git ] ; then \
+	    $(MAKE) -f debian/rules check; \
+	fi
+
+check:
+	$(MAKE) check

## linux-firmware 1.175

=== debian/changelog ===
linux-firmware (1.175) cosmic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    fea76a04f25fd0a217c0d566ff5ff8f23ad3e648
    - linux-firmware: liquidio: update firmware to v1.7.2
    - nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.9.A.16
    - nfp: Add symlink for Agilio CX 1x40GbE flower firmware
    - amdgpu: sync up raven firmware with 18.10 release
    - amdgpu: sync up fiji firmware with 18.10 release
    - amdgpu: sync up tonga firmware with 18.10 release
    - amdgpu: sync up stoney firmware with 18.10 release
    - amdgpu: sync up topaz firmware with 18.10 release
    - amdgpu: sync up carrizo firmware with 18.10 release
    - amdgpu: sync up vega10 firmware with 18.10 release
    - amdgpu: sync up polaris10 firmware with 18.10 release
    - amdgpu: sync up polaris11 firmware with 18.10 release
    - amdgpu: sync up polaris12 firmware with 18.10 release
    - linux-firmware: Update AMD cpu microcode
    - linux-firmware: Update firmware file for Intel Bluetooth,9560
    - linux-firmware:Update firmware patch for Intel Bluetooth 7265 (D1)
    - linux-firmware: Update firmware file for Intel Bluetooth,9260
    - linux-firmware: Update firmware patch for Intel Bluetooth 7260 (B3/B4)
    - linux-firmware: Update firmware patch for Intel Bluetooth 7260 (B5/B6)
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - linux-firmware: liquidio: update vswitch firmware to v1.7.2
    - qed: Add firmware 8.37.2.0
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - Update AMD cpu microcode for family 15h
    - qcom: add venus firmware files for v5.2
    - linux-firmware:Update firmware patch for Intel Bluetooth 7265 (D1)
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (D0)
    - amdgpu: update vega10 VCE firmware to version 55.3
    - Update Cypress license termination clause
    - brcm: update firmware for bcm43430 sdio
    - brcm: update firmware for bcm43340 sdio
    - brcm: update firmware for bcm43362 sdio
    - brcm: update firmware for bcm4354 sdio
    - brcm: update firmware for bcm4356 pcie
    - cxgb4: update firmware to revision 1.20.8.0
    - WHENCE: Fix typo Version
    - amdgpu: sync up bonaire firmware with 18.20 release
    - amdgpu: sync up hawaii firmware with 18.20 release
    - amdgpu: sync up kabini firmware with 18.20 release
    - amdgpu: sync up mullins firmware with 18.20 release
    - amdgpu: sync up kaveri firmware with 18.20 release
    - amdgpu: sync up hainan firmware with 18.20 release
    - amdgpu: sync up oland firmware with 18.20 release
    - amdgpu: sync up tahiti firmware with 18.20 release
    - amdgpu: sync up pitcairn firmware with 18.20 release
    - amdgpu: sync up verde firmware with 18.20 release
    - amdgpu: sync up polaris10 firmware with 18.20 release
    - amdgpu: sync up polaris11 firmware with 18.20 release
    - amdgpu: sync up polaris12 firmware with 18.20 release
    - amdgpu: sync up raven firmware with 18.20 release
    - amdgpu: sync up vega10 firmware with 18.20 release
    - amdgpu: add initial VegaM firmware
    - amdgpu: update copyright date
    - linux-firmware: update Marvell USB8801 B0 firmware image
    - brcm: add 43430 based AP6212 and 1DX NVRAM
    - linux-firmware: mediatek: add MT7622 Bluetooth firmwares and license file
    - WHENCE: Remove reference to amdgpu/vegam_me_2.bin
    - Mellanox: Add new mlxsw_spectrum firmware 13.1702.6
    - wl18xx: update firmware file 8.9.0.0.79
    - linux-firmware: add firmware for mt76x2u
    - nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.9.A.31
    - qcom: update venus firmware files for v5.2
    - linux-firmware: add firmware for mt76x0
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - linux-firmware: Update firmware file for Intel Bluetooth,9260
    - linux-firmware: Update firmware file for Intel Bluetooth,9560
    - linux-firmware:Update firmware patch for Intel Bluetooth 7265 (D1)
    - qed: Add firmware 8.37.7.0
    - linux-firmware: add firmware for mhdp8546
    - amdgpu: sync up fiji firmware with 18.30 release
    - amdgpu: sync up polaris11 firmware with 18.30 release
    - amdgpu: sync up tonga firmware with 18.30 release
    - amdgpu: sync up polaris12 firmware with 18.30 release
    - amdgpu: sync up raven firmware with 18.30 release
    - amdgpu: sync up vega10 firmware with 18.30 release
    - amdgpu: sync up polaris10 firmware with 18.30 release

  * Update nic-firmware.lst for 4.18 (LP: #1790006)

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 30 Aug 2018 16:32:09 -0500

linux-firmware (1.174) cosmic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    8fc2d4e55685bf73b6f7752383da9067404a74bb
    - iwlwifi: update firmware version 34 for 9000 series
    - qed: Add firmwares 8.20.0.0 8.18.9.0 and 8.14.6.0
    - linux-firmware:Update firmware patch for Intel Bluetooth 7265 (D1)
    - BCM-0bb4-0306: Cypress Bluetooth firmware for HTC Vive
    - qed: Add firmware 8.33.11.0
    - Mellanox: Add new mlxsw_spectrum firmware 13.1620.192
    - linux-firmware: intel: Update Kabylake audio firmware
    - BCM-0bb4-0306: Update to Cypress license in WHENCE
    - linux-firmware: intel: Update Skylake audio firmware
    - linux-firmware: intel: Update Broxton audio firmware
    - linux-firmware: intel: Update Kabylake audio firmware
    - linux-firmware: intel: Update Geminilake audio firmware
    - cxgb4: update firmware to revision 1.18.9.0
    - nfp: update Agilio SmartNIC firmware to rev 2.0.7
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - linux-firmware: Add firmware file for Intel Bluetooth,9260
    - linux-firmware: Add firmware file for Intel Bluetooth,9560


## linux-firmware 1.175.6

=== debian/changelog ===
linux-firmware (1.175.6) cosmic; urgency=medium

  * add firmware and topology file for sound sof driver [cml/cnl]
    (LP: #1833405)
    - SAUCE: add firmware and topology for cml/cnl sof driver

  * Intel WiFi (CNVi) module has no function on Comet Lake [8086:02f0]
    (LP: #1833065)
    - iwlwifi: add new firmwares for integrated 22000 series

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 24 Jun 2019 15:41:51 -0500

linux-firmware (1.175.5) cosmic; urgency=medium

  * Add firmware for RTL8822BE and RTL8822CE (LP: #1831833)
    - rtw88: Add firmware file for driver rtw88
    - rtw88: RTL8822C: update rtw8822c_fw.bin to v5.0

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 18 Jun 2019 06:48:33 -0500

linux-firmware (1.175.4) cosmic; urgency=medium

  * Bluetooth not working (Intel CyclonePeak) (LP: #1817518)
    - linux-firmware: Add firmware file for Intel Bluetooth 22161

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 07 May 2019 07:05:41 -0500

linux-firmware (1.175.3) cosmic; urgency=medium

  * To add power setting bin file for SAR support (QCA6174) (LP: #1817817)
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * iwlwifi Intel 8265 firmware crashing on lenovo x1 Gen 6 (LP: #1808389)
    - UBUNTU: revert most iwlwifi firmware back to versions from 1.173.3

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 21 Mar 2019 15:29:33 -0500

linux-firmware (1.175.2) cosmic; urgency=medium

  * iwlwifi Intel 8265 firmware crashing on lenovo x1 Gen 6 (LP: #1808389)
    - iwlwifi: update firmwares for 7000, 8000 and 9000 series
    - iwlwifi: update firmwares for 8000 series

  * OS booting thrown with nouveau errors (LP: #1794055)
    - nvidia: add GV100 signed firmware

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 08 Feb 2019 13:38:19 -0600

linux-firmware (1.175.1) cosmic; urgency=medium

  * [0cf3:e007] Can't turn on BT by Wireless hotkey (LP: #1796634)
    - qca: update BT firmware files for QCA ROME chip.

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 06 Nov 2018 09:42:24 -0600

## linux-firmware 1.178

=== debian/changelog ===
linux-firmware (1.178) disco; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    7bc246451318b3536d9bfd3c4e46d541a9831b33
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA9888 hw2.0: update firmware-5.bin to 10.4-3.9.0.2-00024
    - ath10k: QCA988X hw2.0: update firmware-5.bin to 10.2.4-1.0-00043
    - ath10k: QCA9984 hw1.0: update firmware-5.bin to 10.4-3.9.0.2-00021
    - linux-firmware: add Marvell SD8977 firmware image
    - linux-firmware: update Marvell SD8897-B0 firmware image
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - amdgpu: bump year on license
    - amdgpu: add firmware for vega20 from 18.50
    - bnx2x: Add FW 7.13.11.0.
    - nvidia: add TU10x typec controller firmware
    - qca: Add firmware files for BT chip wcn3990.
    - linux-firmware: Update firmware file for Intel Bluetooth,9260
    - linux-firmware: Update firmware file for Intel Bluetooth,9560
    - amdgpu: drop raven2_sdma1.bin
    - amdgpu: update raven2 rlc firmware
    - WHENCE: Correct errant entries
    - linux-firmware: Add AMD SEV firmware
    - QCA: Add the fw files for BT Chip QCA6174.
    - nfp: update Agilio SmartNIC firmware to rev 2.1.16.1
    - linux-firmware: update Marvell 8897/8997 firmware images
    - linux-firmware: update Marvell 8787/8801/8887 firmware images
    - rtl_bt: Update firmware for BT part of RTL8822C
    - rtw88: RTL8822C: update rtw8822c_fw.bin to v5.0
    - drm/amdgpu: update vega20 to latest from 18.50 branch
    - drm/amdgpu: update polaris12 to latest from 18.50 branch
    - drm/amdgpu: update picasso to latest from 18.50 branch
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - cxgb4: update firmware to revision 1.23.3.0

  * Update nic-firmware.lst for 5.0

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 07 Mar 2019 09:53:28 -0600

linux-firmware (1.177) disco; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    a8b75cac06f80dc1500ba385680ac5b5c1d1c4f8
    - cxgb4: update firmware to revision 1.21.5.0
    - nfp: update Agilio SmartNIC firmware to rev 2.1.16
    - firmware/huc/bxt: Add huC Update for BXT
    - linux-firmware: intel: Update Cannonlake audio firmware.
    - microchip: add firmware for VSC8574 and VSC8584 Ethernet PHYs
    - nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.10.A.13
    - linux-firmware: Update AMD cpu microcode
    - amdgpu: Add new polaris SMC firmwares
    - amdgpu: Add new polaris MC firmwares
    - amdgpu: add firmware for vega12
    - amdgpu: update polaris10 fw for 18.50 release
    - amdgpu: update polaris11 fw for 18.50 release
    - amdgpu: update raven fw for 18.50 release
    - amdgpu: update vega10 fw for 18.50 release
    - amdgpu: update vega12 fw for 18.50 release
    - cavium: Update firmware for CNN55XX crypto driver
    - Mellanox: Add new mlxsw_spectrum firmware 13.1910.622
    - brcm: provide new firmwares for BCM4366 chipset
    - iwlwifi: update -41.ucode for 9000 series
    - iwlwifi: add -43.ucode for 9000 series
    - iwlwifi: update firmwares for 8000 series
    - rtl_bt: Add firmware and configuration files for the Bluetooth part of RTL8723BS
    - check_whence.py: Add support for filenames with spaces in them
    - WHENCE: Put quotes around brcmfmac NVRAM filenames
    - brcm: Add 43362 based AP6210 NVRAM for the Cubietech Cubietruck
    - brcm: Add brcmfmac43362-sdio.lemaker,bananapro.txt symlink
    - brcm: Add 4356 based AP6356 NVRAM for the GPD win handheld
    - brcm: Add 43430a0 based AP6212 NVRAM for the Onda V80 Plus tablet
    - brcm: Add 43430a0 based AP6212 NVRAM for the Jumper EZpad mini 3 tablet
    - brcm: Add 43340 based AP6234 NVRAM for the Meegopad T08 HDMI stick
    - brcm: Add 43430 NVRAM for the Chuwi Vi8 Plus tablet
    - brcm: Add 4330 NVRAM for the Prowise PT301 tablet
    - Revert "amdgpu: update vega10 fw for 18.50 release"
    - cxgb4: update firmware to revision 1.22.9.0
    - iwlwifi: update firmwares for 9000 series
    - linux-firmware: update Marvell USB8801 B0 firmware image
    - brcm: Add BCM43455 NVRAM for Raspberry Pi 3 B+
    - brcm: Add BCM43430 NVRAM for the Raspberry Pi 3 Model B
    - linux-firmware: Update firmware file for Intel Bluetooth,9560
    - linux-firmware: Update firmware file for Intel Bluetooth,9260
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - Revert "brcm: Add BCM43455 NVRAM for Raspberry Pi 3 B+"
    - amdgpu: add picasso fw for 18.50 release
    - amdgpu: add raven2 fw for 18.50 release
    - brcm: Fix filename for BCM43430 NVRAM for the Raspberry Pi 3 Model B
    - brcm: Add BCM43455 NVRAM for Raspberry Pi 3 B+

  *  Add brcmfmac4366c-pcie.bin to nic-firmware.lst

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 31 Jan 2019 12:09:48 -0600

linux-firmware (1.176) disco; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    1baa34868b2c0a004dc595b20678145e3fff83e7
    - nvidia: switch GP10[2467] to newer scrubber/ACR firmware (from GP108)
    - Mellanox: Add new mlxsw_spectrum firmware 13.1703.4
    - rtl_bt: Add firmware and configuration files for the Bluetooth part of RTL8822CU
    - Mellanox: Add new mlxsw_spectrum firmware 13.1703.4
    - brcm: update firmware for bcm43362 sdio
    - qca: update BT firmware files for QCA ROME chip.
    - linux-firmware: add Marvell SD8997 firmware image
    - firmware/icl/dmc: Add v1.07 of DMC for Icelake
    - nvidia: add GV100 signed firmware
    - linux-firmware: mediatek: add firmware for mt7668u Bluetooth
    - ti-connectivity: add firmware for CC2560(A) Bluetooth
    - nfp: update Agilio SmartNIC firmware to rev 2.1.13
